<?php

$uploaddir = '/home/vitaliy/project/itmo/php_winter_2023/engine/upload/';
$uploadfile = $uploaddir . basename($_FILES['userfile']['name']);
var_dump($uploadfile);
echo '<pre>';
if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadfile)) {
    echo "Файл не содержит ошибок и успешно загрузился на сервер.\n";
} else {
    echo "Возможная атака на сервер через загрузку файла!\n";
}

echo 'Дополнительная отладочная информация:';
print_r($_FILES);

print "</pre>";